OpenVDB 13.0.0

Loading...
Searching...
No Matches
ComputeKernel Struct Reference

The function definition and signature which is built by the ComputeGenerator. More...

`#include <openvdb_ax/codegen/ComputeGenerator.h>`

## Public Types
using | Signature = void(const void* const)
| The signature of the generated function.
using | FunctionTraitsT = codegen::FunctionTraits<Signature>

## Static Public Member Functions
static const std::array< std::string, N_ARGS > & | getArgumentKeys ()
| The argument key names available during code generation.
static std::string | getDefaultName ()

## Static Public Attributes
static const std::string | Name
| The name of the generated function.
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Detailed Description

The function definition and signature which is built by the ComputeGenerator.

The argument structure is as follows:

1) - A void pointer to the CustomData

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const)

The signature of the generated function.

## Member Function Documentation

## ◆ getArgumentKeys()

const std::array< std::string, N_ARGS > & getArgumentKeys | ( |  | ) |
| static

The argument key names available during code generation.

## ◆ getDefaultName()

std::string getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static

## ◆ Name

const std::string Name
| static

The name of the generated function.